<template>
<div class="content-main">
    <iframe width="100%" :height="wrapHeight" :src="iSrc"></iframe>
    <div class="returnBox">
      <el-button class="iconfont iconfanhui" type="primary" @click="go_index()">返回</el-button>
    </div>
</div>
</template>
<script>
import { biLinkUrl } from '@/api/index'
export default {
    data(){
        return{
          iSrc:""
        }
    },
    computed: {
      wrapHeight(){
        let windowHeight = document.documentElement.clientHeight
        let  wrapHeight = windowHeight - 265
        return wrapHeight
      }
    },
    methods:{
      go_index(){
        this.$router.push(this.$route.query.path)
      }
    },
    created(){
      let task = this.$route.query.task;
      let userid = this.$route.query.userid;
      let bbq = this.$route.query.bbqVal;
      this.iSrc = `${biLinkUrl}/irpt/oemlogin.do?command=show&target=task&userid=${userid}&bbq=${bbq}&task=${task}&btype=0&readonly=true`
    }
}
</script>
<style scoped>
.returnBox{ text-align: center; margin-top: 15px;}
</style>